Subject: Re: If bridge have no sub-interfaces, it's status may be still with 'RUNNING'

From: David Ahern <[email-masked]>
Date: Mon, 16 Feb 2015 08:47:11 -0700

On 2/15/15 9:55 PM, yzhu1 wrote:
>>> 1. brctl addbr br0
>>>
>>> 2. ifconfig br0 up
>>>
>>> 3. ifconfig br0 (br0's status is with 'RUNNING')
>>>
>>> 4. brctl addif br0 eth0
>>>
>>> 5. brctl delif br0 eth0
>>>
>>> 6. ifconfig br0 (br0's status is without 'RUNNING')
>>>
>>> When there is no sub-interface, the flag "RUNNING" is missing after the
>>> last sub-interface is removed.

I do not see that behavior with Fedora 21 and 3.18.5-201.fc21.x86_64. 
ie., after interface is removed br0 is still in up state. Perhaps a 
regression with 3.19.

>>>
>>> As such, should we keep "RUNNING" flag after the last sub-interface is
>>> removed?
>> This is intentional. If there are no active ports in bridge, then
>> we want to tell applications that packets will go nowhere.

It changes current behavior with respect to tcpdump. Today I can launch 
tcpdump on a bridge interface before starting a VM. With this change I 
will not be able to do that.

David